slide_transition_page_route 1.0.2

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • 89

slide_transition_page_route

A flutter package to add Slide Transition in MaterialPage route.

Getting Started

Example:

  import 'package:slide_transition_page_route/slide_transition_page_route.dart';

          onPressed: ()=> Navigator.push(context,SlideLeftRoute(widget: SecondScreen())),

          onPressed: ()=> Navigator.push(context,SlideRightRoute(widget: HomePage())),

For help getting started with Flutter, view our online documentation.

For help on editing package code, view the documentation. "# flutter_SlideTransition_MaterialPageRoute"

[0.0.1] - 19/08/2018

  • Created the Slide Transition for MaterialPage Route Plugin for flutter.

[1.0.2] - 27/08/2018

  • Changed the SDK version requirement. Fixed some inconsistencies in transitions.

example/example.dart

import 'package:flutter/material.dart';
import 'package:slide_transition_page_route/slide_transition_page_route.dart';

void main() => runApp( MaterialApp( home: HomePage(),) );

class HomePage extends StatelessWidget {

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: Text("Slide Transition Example"),),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.spaceEvenly,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: <Widget>[
            Text("Sceent 1"),
            FloatingActionButton(
              onPressed: ()=> Navigator.push(context,SlideLeftRoute(widget: SecondScreen())),
            )
          ],
        ),
      ),
    );
  }

}

class SecondScreen extends StatelessWidget{

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: Text("Slide Transition Example"),),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.spaceEvenly,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: <Widget>[
            Text("Sceent 2"),
            FloatingActionButton(
              onPressed: ()=> Navigator.push(context,SlideRightRoute(widget: HomePage())),
            )
          ],
        ),
      ),
    );
  }

}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  slide_transition_page_route: ^1.0.2

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:slide_transition_page_route/slide_transition_page_route.dart';
  
Version Uploaded Documentation Archive
1.0.2 Aug 27, 2018 Go to the documentation of slide_transition_page_route 1.0.2 Download slide_transition_page_route 1.0.2 archive
1.0.1 Aug 21, 2018 Go to the documentation of slide_transition_page_route 1.0.1 Download slide_transition_page_route 1.0.1 archive
1.0.0 Aug 20, 2018 Go to the documentation of slide_transition_page_route 1.0.0 Download slide_transition_page_route 1.0.0 archive
0.0.1 Aug 19, 2018 Go to the documentation of slide_transition_page_route 0.0.1 Download slide_transition_page_route 0.0.1 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
77
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
89
Learn more about scoring.

We analyzed this package on Nov 14, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.0.0
  • pana: 0.12.6
  • Flutter: 0.11.3

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0 <7.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11
meta 1.1.6
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test